Toolkit for YNAB

Toolkit for YNAB

UI customizations and tweaks for the web version of YNAB.

What is Toolkit for YNAB?

Toolkit for YNAB is an Edge add-on by Toolkit for YNAB. This add-on has 980 weekly active users The latest version, 3.5.0, was updated 2 months ago.

Stats
Stats date:
Install link: Edge Add-on Store
Users: 980 ▲ 51
Version: 3.5.0 (Last updated: 2022-11-23)
Creation date: 2022-03-19
Manifest version: 3
Permissions:
  • storage
Host permissions:
  • http://*.youneedabudget.com/*
  • https://*.youneedabudget.com/*
Featured: No
Size: 1.70M
Risk impact: Moderate risk impact
Risk likelihood: Moderate risk likelihood
Found a bug?

Other platforms

Toolkit for YNAB
Toolkit for YNAB (v3.5.0)
263 63,073
Not available on Firefox
Summary
UI customizations and tweaks for the web version of YNAB.
Toolkit for YNAB is a general purpose extension that adds features to YNAB and makes it more flexible. Have it your way!

There are many different features available once installing the Toolkit for YNAB. You can see the full list here: 
https://github.com/toolkit-for-ynab/toolkit-for-ynab/blob/master/docs/feature-list.md

All of these are configurable with options in the extension options page.

Features under consideration and the general status of the project is on our Trello Board here: 
https://trello.com/b/EzOvXlil/ynab-enhanced-roadmap.
 Feel free to vote, comment and suggest new features.

If you want to contribute, it's best if you can let us know so we don't double up on effort. You can see what is being worked on and by whom on the roadmap.

This is an open source community developed and maintained extension. It is not affiliated with YNAB in any way (other than that we use it) and YNAB has not endorsed this at all. You Need a Budget and YNAB are registered trademarks of Steine LLC and/or one of its subsidiaries.

This [app/plugin/script] is not officially supported by YNAB in any way. As such, your use of this [app/plugin/script] is risky. There is a very real possibility that using this [app/plugin/script] could introduce problems into your budget that YNAB, through its official support channels, will not be able to troubleshoot or fix. Please use at your own risk!
Safety
Risk impact

Toolkit for YNAB requires some risky permissions and may not be safe to use. Exercise caution when installing this add-on. Review carefully before installing.

Risk impact measures the level of extra permissions an extension has access to. A low risk impact extension cannot do much harms, whereas a high risk impact extension can do a lot of damage like stealing your password, bypass your security settings, and access your personal data. High risk impact extensions are not necessarily malicious. However, if they do turn malicious, they can be very harmful.

Risk likelihood

Toolkit for YNAB is probably trust-worthy. Prefer other publishers if available. Exercise caution when installing this add-on.

Risk likelihood measures the probability that an Edge add-on may turn malicious. This is determined by the publisher and the Edge add-on reputation on Edge Add-on Store, the amount of time the Edge add-on has been around, and other signals about the Edge add-on. Our algorithms are not perfect, and are subject to change as we discover new ways to detect malicious extensions. We recommend that you always exercise caution when installing an Edge add-on, especially ones with higher risk impact and/or higher risk likelihood.

Subscribe to the premium plan to see more risk analysis details
Manifest

The manifest file declares the requirements and permissions that an Edge add-on will have access to. By reviewing the manifest, you may be able to determine if an Edge add-on is over-reaching (for example, if an extension is overriding your new tab page, or search provider, or requesting access to your web activities without any good reason).

{
  "author": "Toolkit for YNAB",
  "name": "Toolkit for YNAB",
  "description": "UI customizations and tweaks for the web version of YNAB.",
  "version": "3.5.0",
  "content_scripts": [
    {
      "matches": [
        "http://*.youneedabudget.com/*",
        "https://*.youneedabudget.com/*"
      ],
      "all_frames": true,
      "run_at": "document_idle",
      "js": [
        "content-scripts/extension-bridge.js"